Collection
curl --request GET \
--url https://api.themoviedb.org/3/search/collectionimport requests
url = "https://api.themoviedb.org/3/search/collection"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/search/collection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/mxKADQjfnhcb8mCBCii9aKMQVVW.jpg",
"id": 591122,
"name": "The Pirates Collection",
"original_language": "ko",
"original_name": "해적 시리즈",
"overview": "",
"poster_path": "/qqrBeINPOFr2FLD4EeBLI90PzHo.jpg"
},
{
"adult": false,
"backdrop_path": "/wxgD3fB5lQ2sGJLog0rvXW049Pf.jpg",
"id": 295,
"name": "Pirates of the Caribbean Collection",
"original_language": "en",
"original_name": "Pirates of the Caribbean Collection",
"overview": "A series of fantasy swashbuckler films based on Walt Disney's theme park ride of the same name. The films follow the adventures of Captain Jack Sparrow and take place in a fictional historical setting; a world ruled by the British Empire, the East India Trading Company and the Spanish Empire, with pirates representing freedom from the ruling powers.",
"poster_path": "/4KUJ38SsViJTsUmTRvXxerBNwAv.jpg"
}
],
"total_pages": 1,
"total_results": 2
}Search
Collection
Search for collections by their original, translated and alternative names.
GET
/
3
/
search
/
collection
Collection
Query Parameters
Example:
"%22%ED%95%B4%EC%A0%81%20%EC%8B%9C%EB%A6%AC%EC%A6%88%22"
Example:
"false"
Example:
"en-US"
Example:
"1"
Response
200 - application/json
Collection
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/mxKADQjfnhcb8mCBCii9aKMQVVW.jpg",
"id": 591122,
"name": "The Pirates Collection",
"original_language": "ko",
"original_name": "해적 시리즈",
"overview": "",
"poster_path": "/qqrBeINPOFr2FLD4EeBLI90PzHo.jpg"
},
{
"adult": false,
"backdrop_path": "/wxgD3fB5lQ2sGJLog0rvXW049Pf.jpg",
"id": 295,
"name": "Pirates of the Caribbean Collection",
"original_language": "en",
"original_name": "Pirates of the Caribbean Collection",
"overview": "A series of fantasy swashbuckler films based on Walt Disney's theme park ride of the same name. The films follow the adventures of Captain Jack Sparrow and take place in a fictional historical setting; a world ruled by the British Empire, the East India Trading Company and the Spanish Empire, with pirates representing freedom from the ruling powers.",
"poster_path": "/4KUJ38SsViJTsUmTRvXxerBNwAv.jpg"
}
]
Example:
1
Example:
2